Skip to content
Start » Tools » How to solve Laradock and Docker error with Python modules

How to solve Laradock and Docker error with Python modules

When trying to upload docker containers, to the distribution of Laradock, with images of apache2, redis, mariadb and workspace default, I came across the following list of errors.

Apparently the errors describe that Python modules are not available, for not finding the files *.py.

$ docker-compose up -d apache2 redis mariadb workspace Traceback (most recent call last): File "urllib3/connectionpool.py", line 670, in urlopen File "urllib3/connectionpool.py", line 392, in _make_request File "http /client.py", line 1255, in request File "http/client.py", line 1301, in _send_request File "http/client.py", line 1250, in endheaders File "http/client.py", line 1010 , in _send_output File "http/client.py", line 950, in send File "docker/transport/unixconn.py", line 43, in connect FileNotFoundError: [Errno 2] No such file or directory During handling of the above exception , another exception occurred: Traceback (most recent call last): File "requests/adapters.py", line 439, in send File "urllib3/connectionpool.py", line 726, in urlopen File "urllib3/util/retry.py ", line 410, in increment File "urllib3/packages/six.py", line 734, in reraise File "urllib3/connectionpool.py", line 670, in urlopen File "urllib3/connectionpool.py", line 392, in _make_request File "http/clien t.py", line 1255, in request File "http/client.py", line 1301, in _send_request File "http/client.py", line 1250, in endheaders File "http/client.py", line 1010, in _send_output File "http/client.py", line 950, in send File "docker/transport/unixconn.py", line 43, in connect urllib3.exceptions.ProtocolError: ('Connection aborted.', FileNotFoundError(2, ' No such file or directory')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "docker/api/client.py", line 214, in _retrieve_server_version File "docker/api/daemon .py", line 181, in version File "docker/utils/decorators.py", line 46, in inner File "docker/api/client.py", line 237, in _get File "requests/sessions.py", line 543, in get File "requests/sessions.py", line 530, in request File "requests/sessions.py", line 643, in send File "requests/adapters.py", line 498, in send requests.exceptions .ConnectionError: ('Connection aborted.', FileNotFoundError(2, 'No such file or direct ory')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "docker-compose", line 3, in File "compose/cli/main.py", line 81, in main File "compose/cli/main.py", line 200, in perform_command File "compose/cli/command.py", line 60, in project_from_options File " compose/cli/command.py", line 152, in get_project File "compose/cli/docker_client.py", line 41, in get_client File "compose/cli/docker_client.py", line 170, in docker_client File "docker/ api/client.py", line 197, in __init__ File "docker/api/client.py", line 221, in _retrieve_server_version docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', FileNotFoundError( 2, 'No such file or directory')) [8278] Failed to execute script docker-compose

Fixing Docker Error with Python

Despite an extensive list of errors and non-descriptive messages, the solution is extremely simple:

YOU NEED TO START THE DOCKER

Yes, that's right, docker is not running and the error list shown is not intuitive.

If you are on a system Linux Ubuntu, Mint or Debian, just run the command:

sudo systemctl start docker

If on a Mac system:

cmd + space + type "docker" into the search bar + enter # or sudo launchctl start docker

2 thoughts on “Como resolver erro Laradock e Docker com módulos Python”

  1. Pingback: Laradock - Docker Containers for your PHP and Laravel development - Introduction - MAZER.DEV

  2. Pingback: Connecting Laravel Databases to Laradock - MAZER.DEV

Leave a Reply

Your email address will not be published.

en_USEnglish
%d bloggers like this: